## Function format_named_scope

boost::log::expressions::format_named_scope

## Synopsis

    // In header: <boost/log/expressions/formatters/named_scope.hpp>

    template<typename... ArgsT>
      unspecified format_named_scope(attribute_name const & name,
                                     ArgsT... const & args);
    template<typename DescriptorT, template< typename > class ActorT,
             typename... ArgsT>
      unspecified format_named_scope(attribute_keyword< DescriptorT, ActorT > const & keyword,
                                     ArgsT... const & args);
    template<typename T, typename FallbackPolicyT, typename TagT,
             template< typename > class ActorT, typename... ArgsT>
      unspecified format_named_scope(attribute_actor< T, FallbackPolicyT, TagT, ActorT > const & placeholder,
                                     ArgsT... const & args);

## Description

Formatter generator. Construct the named scope formatter with the specified formatting parameters.

Parameters:

`args`

An set of named parameters. Supported parameters:

- `format` - A format string for named scopes. The string can contain "%n", "%f" and "%l" placeholders for the scope name, file and line number, respectively. This parameter is mandatory.

- `delimiter` - A string that is used to delimit the formatted scope names. Default: "->" or "<-", depending on the iteration direction.

- `incomplete_marker` - A string that is used to indicate that the list was printed incomplete because of depth limitation. Default: "...".

- `empty_marker` - A string that is output in case if the scope list is empty. Default: "", i.e. nothing is output.

- `iteration` - Iteration direction, see `scope_iteration_direction` enumeration. Default: forward.

- `depth` - Iteration depth. Default: unlimited.

`name` | Attribute name